html {
    --main-bg-color: #0078aa;
    --dark-color: #363636;
    --light-color: #fff;
    --title-size: 3em;
    --subtitle-size: 1.5em;
    --desktop-content-margin-left: 10%;
    --desktop-title-size: 2.5em;
    --desktop-subtitle-size: 1em;
    --tablet-content-margin-left: 2%;
}

html, body {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    font-family: 'Montserrat', sans-serif;
    background-color: var(--light-color);
    margin: 0;
    padding: 0;
    width: 100%;
    scroll-behavior: smooth;
}

header {
    display: flex;
    width: 100%;
    background-color: var(--light-color);
    z-index: 2;
}

.header-logo {
    width: 3em;
    height: 3em;
    margin-right: 0;
}

.header-nav {
    display: flex;
    text-align: center;
}

.header-nav > a {
    color: var(--dark-color);
    text-decoration: none;
    font-size: 1em;
    font-weight: bold;
    padding-right: 0.3em;
}

main {
    display: flex;
    flex-direction: column;
    width: 100%;
    background: url('../img/lady.jpg') center/cover;
    margin: 0;
    padding: 0;
}

.main-title {
    font-size: var(--title-size);
    color: var(--dark-color);
    padding-top: 3em;
}

main > p {
    color: #999f9f;
}

.icons-wrapper {
    display: flex;
    margin-bottom: 5em;
}

.icons-wrapper .icon-container {
    color: var(--main-bg-color);
}

.icons-wrapper .icon {
    color: var(--light-color);
}

#about .sticky {
    position: fixed;
    align-self: flex-end;
    z-index: 0;
}

#about .sticky .icon-container {
    color: var(--main-bg-color);
}

#about .sticky .icon {
    color: var(--light-color);
}

#about, #services, #pricing, #contact {
    display: flex;
    width: 100%;
    padding-top: 2em;
    overflow-y: scroll;
}

#about .section-subtitle {
    color: var(--main-bg-color);
}

#about .arrow {
    color: var(--main-bg-color);
}

.section-title {
    padding: 0;
    margin: 0 auto;
    width: 100%;
}

.section-subtitle {
    padding-top: 0.5em;
    margin: 0 auto;
    width: 100%;
    font-weight: normal;
}

#services {
    background: url('../img/services_bg.jpg');
    background-size: cover;
    margin-top: 2em;
}

.services-info-container {
    display: flex;
}

.services-info-card {
    background-color: var(--light-color);
    padding: 2em 2em 1em 2em;
    text-align: start;
}

#pricing {
    margin-top: 2em;
}

.pricing-info-container, .contact-info-container {
    display: flex;
    text-align: center;
    width: 100%;
}

.pricing-info-card {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
    background-color: #47c9e5;
    color: var(--light-color);
}

.pricing-info-card .pricing-info-card-title {
    font-size: 2em;
    margin-bottom: 1em;
    padding: 0;
}

.pricing-info-card .pricing-info-card-price {
    font-size: 6em;
    font-weight: bold;
    padding: 0;
    margin: 0;
}

.pricing-info-card .pricing-info-card-offer {
    font-size: var(--subtitle-size);
    font-style: italic;
    padding: 0;
    margin-top: 0.5em;
    margin-bottom: 1em;
}

.pricing-info-card.second-offer {
    background-color: var(--light-color);
    border: 0.2em solid var(--main-bg-color);
    color: var(--main-bg-color);
    padding-left: 0.1em;
}

.pricing-info-card button {
    border: 0.15em solid var(--main-bg-color);
    background-color: var(--light-color);
    color: var(--main-bg-color);
    font-weight: bold;
    margin-top: 1em;
    margin-bottom: 1em;
}

.pricing-info-card .pricing-info-card-offer-item {
    text-align: center;
    padding: 1em;
}

.pricing-info-card .pricing-info-card-offer-item.cross-icon {
    font-size: 1em;
    font-weight: bold;
    margin: 0;
    padding: 0.5em;
}

#contact .info-container {
    margin-top: 2em;
}

.contact-form-section {
    padding-bottom: 2em;
}

.contact-form-section form {
    display: flex;
    flex-direction: column;
}

.contact-form-section input {
    border-style: none;
    border-bottom: 0.1em solid #eeeeee;
    width: 100%;
    font-size: 1em;
    font-style: italic;
    padding-left: 1em;
    padding-bottom: 0.5em;
    margin-top: 2em;
    text-align: start;
}

.contact-form-section datalist {
    border-style: none;
    border-bottom: 0.1em solid #eeeeee;
    width: 100%;
    margin-top: 2em;
}

.contact-form-section-subject-input:focus {
    border-style: solid;
    border-color: #000;
    outline: none;
}

.contact-form-section option {
    font-style: italic;
    background-color: var(--light-color);
    font-size: 1em;
    width: 100%;
}

.contact-form-section #submit {
    background-color: var(--main-bg-color);
    color: var(--light-color);
    border-radius: 0.7em;
    font-style: normal;
    font-weight: bold;
    width: 7em;
    height: 3.5em;
    font-size: 1em;
    margin-top: 2em;
    align-self: center;
    text-align: center;
    padding: 0;
}

footer {
    display: flex;
    background-color: var(--dark-color);
    color: var(--light-color);
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: 0;
    padding: 0;
    z-index: 1;
}

header.sticky {
    position: sticky;
    top: 0;
}

@media only screen and (max-width: 767px) {

    header {
        flex-direction: column;
        text-align: center;
        justify-content: center;
        align-items: center;
        margin-right: 0;
        padding: 0;
    }

    .header-logo {
        padding-top: 1em;
    }

    .header-nav {
        justify-content: space-around;
        width: 90%;
        padding-top: 1em;
        padding-bottom: 1em;
    }

    main {
        text-align: center;
        justify-content: center;
        align-items: center;
        height: 30em;
    }

    .main-title {
        width: 70%;
        text-align: center;
        margin-right: 0;
    }

    main > p {
        text-align: center;
    }

    .icons-wrapper {
        text-align: center;
        justify-content: space-between;
        width: 70%;
    }

    #about .sticky {
        bottom: 1vh;
        right: 1vw;
        align-self: flex-end;
    }

    #about, #services, #pricing, #contact {
        flex-direction: column;
        text-align: center;
    }

    .section-title {
        font-size: var(--title-size);
        width: 95%;
    }

    .section-subtitle {
        font-size: var(--subtitle-size);
        width: 95%;
    }

    #about .article-section {
        width: 95%;
    }

    .services-info-container {
        flex-direction: column;
        width: 90%;
        margin: 0 auto 2em auto;
    }

    .services-info-card {
        margin-top: 2em;
        top: 50%;
        left: 50%;
    }

    .pricing-info-container, .contact-info-container {
        flex-direction: column;
    }

    .pricing-info-card {
        width: 90%;
        margin: 2em 2em auto auto;
        box-sizing: border-box;
    }

    .pricing-info-card button {
        border-radius: 0.7em;
        width: 7em;
        height: 2.5em;
        font-size: 1.5em;
    }
    .contact-form-section {
        padding-top: 2em;
    }

    .contact-form-section form {
        margin: 0 auto;
        width: 80%;
    }

    .contact-form-section #submit:hover {
        background-color: var(--light-color);
    }

    footer {
        height: 5em;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1279px) {

    header {
        justify-content: space-between;
        padding: 0;
        margin-bottom: 1em;
    }

    .header-logo {
        width: 2em;
        height: 2em;
        margin-left: 1em;
        margin-top: 1em;
    }

    .header-nav {
        text-align: end;
        margin-top: 1.5em;
    }

    .header-nav > a {
        color: var(--dark-color);
        text-decoration: none;
        font-size: 1em;
        font-weight: bold;
        padding-right: 1em;
    }

    .header-nav > a:hover {
        color: var(--main-bg-color);
    }

    main {
        text-align: start;
        justify-content: start;
        align-items: start;
        height: 100%;
    }

    .main-title {
        width: 50%;
        font-size: var(--desktop-title-size);
        text-align: start;
        margin-left: var(--tablet-content-margin-left);
    }

    main > p {
        width: 50%;
        text-align: start;
        margin-left: var(--tablet-content-margin-left);
    }

    .icons-wrapper {
        text-align: start;
        padding-top: 1em;
        width: 20%;
        margin-left: var(--tablet-content-margin-left);
        justify-content: space-between;
    }

    #about .sticky {
        bottom: 1%;
        right: 1%;
        align-self: flex-end;
        z-index: 0;
    }

    #about, #services, #pricing, #contact {
        text-align: start;
    }

    #about {
        display: flex;
        width: 100%;
    }

    #about > img {
        width: 50%;
        height: 20em;
        padding-top: 10em;
    }

    #about .info-container {
        width: 50%;
        align-self: flex-end;
    }

    .section-title {
        font-size: var(--desktop-title-size);
    }

    .section-subtitle {
        font-size: var(--desktop-subtitle-size);
    }

    #about > .info-container {
        margin: 4em 2em 4em 2em;
    }

    #about .article-section {
        width: 100%;
    }

    #services .section-title {
        text-align: center;
    }

    #services .section-subtitle {
        text-align: center;
    }

    .services-info-container {
        width: 95%;
        flex-wrap: wrap;
        padding-top: 1em;
        padding-bottom: 3em;
        justify-content: space-around;
        margin:0 auto;
    }

    .services-info-card {
        width: 23%;
        margin-right: 1em;
        margin-bottom: 1em;
    }

    #pricing {
        background: url('../img/pricing_bg.jpg') center/cover;
        width: 100%;
        text-align: center;
        align-items: center;
        justify-content: center;
        padding-bottom: 2em;
        padding-top: 0;
    }

    #pricing .info-container {
        width: 95%;
        padding-bottom: 4em;
    }

    .pricing-info-container {
        margin: 0 auto;
    }

    .pricing-info-card {
        width: 33%;
        margin-top: 1em;
        margin-bottom: 1em;
    }

    .pricing-info-card .pricing-info-card-title {
        font-size: var(--desktop-subtitle-size)
    }

    .pricing-info-card .pricing-info-card-price {
        font-size: var(--desktop-title-size)
    }

    .pricing-info-card .pricing-info-card-offer {
        font-size: var(--desktop-subtitle-size);
    }

    .pricing-info-card.first-offer,
    .pricing-info-card.third-offer {
        margin-top: 2em;
    }

    .pricing-info-card.second-offer {
        margin-bottom: -0.5em;
    }

    .pricing-info-card button {
        border-radius: 0.5em;
        width: 6em;
        height: 2.5em;
        font-size: 1em;
    }

    .pricing-info-card button:hover {
        background-color: var(--main-bg-color);
        color: var(--light-color);
        border: none;
    }

    .pricing-info-card .pricing-info-card-offer-item {
        font-size: 0.7em;
    }

    #contact {
        display: flex;
        width: 100%;
    }

    #contact > img {
        width: 50%;
    }

    #contact .info-container {
        width: 50%;
        margin-left: 2em;
    }

    .contact-form-section {
        padding-top: 1em;
    }

    .contact-form-section form {
        width: 95%;
    }

    .contact-form-section #submit {
        align-self: start;
        text-align: center;
    }

    .contact-form-section #submit:hover {
        background-color: var(--light-color);
        color: var(--main-bg-color);
        border: 0.15em solid var(--main-bg-color);
    }

    footer {
        height: 3em;
    }

    header.sticky {
        position: sticky;
        top: 0;
    }
}


@media only screen and (min-width: 1280px) {

    header {
        justify-content: space-between;
        padding: 0;
        margin-bottom: 1em;
    }

    .header-logo {
        width: 2em;
        height: 2em;
        margin-left: 9em;
        margin-top: 1em;
    }

    .header-nav {
        text-align: end;
        margin-right: 9em;
        margin-top: 1.5em;
    }

    .header-nav > a {
        color: var(--dark-color);
        text-decoration: none;
        font-size: 1em;
        font-weight: bold;
        padding-right: 1em;
    }

    .header-nav > a:hover {
        color: var(--main-bg-color);
    }

    main {
        text-align: start;
        justify-content: start;
        align-items: start;
        height: 100%;
    }

    .main-title {
        width: 40%;
        font-size: var(--desktop-title-size);
        text-align: start;
        margin-left: var(--desktop-content-margin-left);
    }

    main > p {
        width: 40%;
        text-align: start;
        margin-left: var(--desktop-content-margin-left);
    }

    .icons-wrapper {
        text-align: start;
        padding-top: 1em;
        width: 20%;
        margin-left: var(--desktop-content-margin-left);
    }

    .icons-wrapper > span {
        margin-right: 1em;
    }

    .icons-wrapper > span > i:hover {
        background-color: var(--light-color);
        color: var(--main-bg-color);
        border: 0.1em solid var(--main-bg-color);
        border-radius: 50%;
    }

    #about .sticky {
        bottom: 1%;
        right: 1%;
        align-self: flex-end;
        z-index: 0;
    }

    #about, #services, #pricing, #contact {
        text-align: start;
    }

    .section-title {
        font-size: var(--desktop-title-size);
    }

    .section-subtitle {
        font-size: var(--desktop-subtitle-size);
    }

    #about > .info-container {
        margin: 4em 2em 4em 2em;
    }

    #about .article-section {
        width: 60%;
    }

    #services .section-title {
        text-align: center;
    }

    #services .section-subtitle {
        text-align: center;
    }

    .services-info-container {
        width: 80%;
        margin: 0 auto;
        flex-wrap: wrap;
        padding-top: 1em;
        padding-bottom: 3em;
    }

    .services-info-card {
        width: 25%;
        margin-right: 1em;
        margin-bottom: 1em;
    }

    #pricing {
        background: url('../img/pricing_bg.jpg') center/cover;
        width: 100%;
        text-align: center;
        align-items: center;
        justify-content: center;
        padding-bottom: 6em;
        padding-top: 0;
    }

    #pricing .info-container {
        width: 70%;
        padding-bottom: 4em;
    }

    .pricing-info-container {
        margin: 0 auto;
    }

    .pricing-info-card {
        width: 33%;
        margin-top: 1em;
        margin-bottom: 1em;
    }

    .pricing-info-card .pricing-info-card-title {
        font-size: var(--desktop-subtitle-size)
    }

    .pricing-info-card .pricing-info-card-price {
        font-size: var(--desktop-title-size)
    }

    .pricing-info-card .pricing-info-card-offer {
      font-size: var(--desktop-subtitle-size);
    }

    .pricing-info-card.first-offer,
    .pricing-info-card.third-offer {
        margin-top: 2em;
    }

    .pricing-info-card.second-offer {
        margin-bottom: -0.5em;
    }

    .pricing-info-card button {
      border-radius: 0.5em;
      width: 6em;
      height: 2.5em;
      font-size: 1em;
    }

    .pricing-info-card button:hover {
        background-color: var(--main-bg-color);
        color: var(--light-color);
        border: none;
    }

    .pricing-info-card .pricing-info-card-offer-item {
      font-size: 0.7em;
    }

    #contact {
        display: flex;
        width: 100%;
    }

    #contact > img {
        width: 50%;
    }

    #contact .info-container {
        width: 50%;
        margin-left: 2em;
    }

    .contact-form-section {
        padding-top: 1em;
    }

    .contact-form-section form {
      width: 95%;
    }

    .contact-form-section #submit {
        align-self: start;
        text-align: center;
    }

    .contact-form-section #submit:hover {
        background-color: var(--light-color);
        color: var(--main-bg-color);
        border: 0.15em solid var(--main-bg-color);
    }

    footer {
      height: 3em;
    }

    header.sticky {
      position: sticky;
      top: 0;
    }
}